Package org.apache.avro.ipc.netty

# Class NettyTransceiver.WriteFutureListener

java.lang.Object
org.apache.avro.ipc.netty.NettyTransceiver.WriteFutureListener

All Implemented Interfaces:
  `io.netty.channel.ChannelFutureListener`, `io.netty.util.concurrent.GenericFutureListener<io.netty.channel.ChannelFuture>`, `EventListener`

Enclosing class:
  `NettyTransceiver`

protected static class NettyTransceiver.WriteFutureListener extends Object implements io.netty.channel.ChannelFutureListener
A ChannelFutureListener for channel write operations that notifies a `Callback` if an error occurs while writing to the channel.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final org.apache.avro.ipc.Callback<List<ByteBuffer>>`
`callback`

### Fields inherited from interface io.netty.channel.ChannelFutureListener

`CLOSE, CLOSE_ON_FAILURE, FIRE_EXCEPTION_ON_FAILURE`

## Constructor Summary

Constructors
Constructor
Description
`WriteFutureListener(org.apache.avro.ipc.Callback<List<ByteBuffer>> callback)`
Creates a WriteFutureListener that notifies the given callback if an error occurs writing data to the channel.

## Method Summary

Modifier and Type
Method
Description
`void`
`operationComplete(io.netty.channel.ChannelFuture future)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### callback

protected final org.apache.avro.ipc.Callback<List<ByteBuffer>> callback

## Constructor Details

### WriteFutureListener

public WriteFutureListener(org.apache.avro.ipc.Callback<List<ByteBuffer>> callback)
Creates a WriteFutureListener that notifies the given callback if an error occurs writing data to the channel.

Parameters:
  `callback` - the callback to notify, or null to skip notification.

## Method Details

### operationComplete

public void operationComplete(io.netty.channel.ChannelFuture future) throws Exception

Specified by:
  `operationComplete` in interface `io.netty.util.concurrent.GenericFutureListener<io.netty.channel.ChannelFuture>`
Throws:
  `Exception`